summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMart Raudsepp <leio@gentoo.org>2018-11-14 00:01:04 +0200
committerMart Raudsepp <leio@gentoo.org>2018-11-14 00:08:23 +0200
commit804d2b9ed26c7b155d94ac9e04a9234836e73cdd (patch)
tree1d308b8cd5b6c7211a5959ee65393914ad84877c /gnome-extra
parentapp-office/libreoffice-l10n: Un-drop ~ppc64 keyword to 6.1.3.2 (diff)
downloadgentoo-804d2b9ed26c7b155d94ac9e04a9234836e73cdd.tar.gz
gentoo-804d2b9ed26c7b155d94ac9e04a9234836e73cdd.tar.bz2
gentoo-804d2b9ed26c7b155d94ac9e04a9234836e73cdd.zip
Revert "gnome-extra/libgda: 5.2.5 version bump"
This reverts commit 880699bb699214cac6e4f6e99a369eeccca4ca43. Unauthorized commit with the following issues: * USE=vala completely broken. "configure: WARNING: unrecognized options: --enable-vala" should have given a hint, after blindly dropping a patch we had to fix this case properly. * Wrong sqlite minimum dep Issues inherited from old version, that would be routine for maintainer to check over and fix: * Missing glib-utils build dep * Ineffective JRE 1.8 support patch (configure only is patched, but eautoreconf is called after patching) * Lack of GNOME2_EAUTORECONF="yes" usage over manual autotools inherit and eautoreconf call (leads to double elibtoolize call, which is problematic for some edge cases and could QA warn) Fixing vala takes some effort, hence a revert of commit that shouldn't have been pushed (not acked by maintainer) for now, not immediate follow-up fixes. Bug: https://bugs.gentoo.org/666156 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
Diffstat (limited to 'gnome-extra')
-rw-r--r--gnome-extra/libgda/Manifest1
-rw-r--r--gnome-extra/libgda/libgda-5.2.5.ebuild177
2 files changed, 0 insertions, 178 deletions
diff --git a/gnome-extra/libgda/Manifest b/gnome-extra/libgda/Manifest
index 139b13ce55b..365859e91e4 100644
--- a/gnome-extra/libgda/Manifest
+++ b/gnome-extra/libgda/Manifest
@@ -1,2 +1 @@
DIST libgda-5.2.4.tar.xz 12320228 BLAKE2B 567b82934e9fe05abdd7405f17c3e8db1a335698236aed069c66037bb387f34adfc41eae7663d8cedb1ba97d2b54afda15280d745c574e5b28cb1856ff8376b1 SHA512 90449795a64136389c26ee4bbdbd5c1330d441e6c11ff15eff83d0ee39c4ce3abd686222aaa468995496ba1417c0fbc963898107f1806d80648cdc939d3c87cc
-DIST libgda-5.2.5.tar.xz 12786512 BLAKE2B f1a60e581576c4b875feeba30989740a5fa20b838995e1a3be629ac8ec6369ceae214505bf93855a51b3760655abd179d5e4419ed30bebfb8592639ff29cf591 SHA512 81d05a67a76bbbeef8c171cb3a440168bcd32d404338d25f0525d668bdaa1e708189576ab580cf5a1fcfc51e5c4c35ee1f7fcd9b470f4896290924fd282eda8d
diff --git a/gnome-extra/libgda/libgda-5.2.5.ebuild b/gnome-extra/libgda/libgda-5.2.5.ebuild
deleted file mode 100644
index 42a137e3fff..00000000000
--- a/gnome-extra/libgda/libgda-5.2.5.ebuild
+++ /dev/null
@@ -1,177 +0,0 @@
-# Copyright 1999-2018 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-GNOME2_LA_PUNT="yes"
-PYTHON_COMPAT=( python2_7 )
-VALA_USE_DEPEND="vapigen"
-
-inherit autotools db-use eutils flag-o-matic gnome2 java-pkg-opt-2 python-single-r1 vala
-
-DESCRIPTION="GNOME database access library"
-HOMEPAGE="http://www.gnome-db.org/"
-LICENSE="GPL-2+ LGPL-2+"
-
-IUSE="berkdb canvas debug firebird gnome-keyring gtk graphviz http +introspection json ldap mdb mysql oci8 postgres reports sourceview ssl vala"
-REQUIRED_USE="
- reports? ( ${PYTHON_REQUIRED_USE} )
- canvas? ( gtk )
- graphviz? ( gtk )
- sourceview? ( gtk )
- vala? ( introspection )
-"
-# firebird license is not GPL compatible
-
-SLOT="5/4" # subslot = libgda-5.0 soname version
-KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
-
-RDEPEND="
- app-text/iso-codes
- >=dev-libs/glib-2.32:2
- >=dev-libs/libxml2-2
- dev-libs/libxslt
- sys-libs/readline:0=
- sys-libs/ncurses:0=
- berkdb? ( sys-libs/db:* )
- firebird? ( dev-db/firebird )
- gnome-keyring? ( app-crypt/libsecret )
- gtk? (
- >=x11-libs/gtk+-3.0.0:3
- canvas? ( x11-libs/goocanvas:2.0= )
- sourceview? ( x11-libs/gtksourceview:3.0 )
- graphviz? ( media-gfx/graphviz )
- )
- http? ( >=net-libs/libsoup-2.24:2.4 )
- introspection? ( >=dev-libs/gobject-introspection-1.30:= )
- json? ( dev-libs/json-glib )
- ldap? ( net-nds/openldap:= )
- mdb? ( >app-office/mdbtools-0.5:= )
- mysql? ( virtual/mysql:= )
- postgres? ( dev-db/postgresql:= )
- reports? (
- ${PYTHON_DEPS}
- dev-java/fop
- dev-python/reportlab )
- ssl? ( dev-libs/openssl:= )
- >=dev-db/sqlite-3.6.22:3=
- vala? ( dev-libs/libgee:0.8 )
-"
-
-# java dep shouldn't rely on slots, bug #450004
-DEPEND="${RDEPEND}
- >=app-text/gnome-doc-utils-0.9
- app-text/yelp-tools
- dev-util/gtk-doc-am
- >=dev-util/intltool-0.40.6
- virtual/pkgconfig
- java? ( >=virtual/jdk-1.6 )
- vala? ( $(vala_depend) )
-"
-
-# FIXME: lots of tests failing. Check if they still fail in 5.1.2
-# firebird support bindist-restricted because it is not GPL compatible
-RESTRICT="
- test
- firebird? ( bindist )
-"
-
-pkg_setup() {
- java-pkg-opt-2_pkg_setup
- use reports && python-single-r1_pkg_setup
-}
-
-src_prepare() {
- # Fix compilation with -Werror=format-security (from 'master')
- eapply "${FILESDIR}"/${PN}-5.2.4-format-security.patch
-
- # Support JRE 1.8 (from Fedora)
- eapply "${FILESDIR}"/${PN}-5.2.4-jre18.patch
-
- use berkdb && append-cppflags "-I$(db_includedir)"
-
- use reports ||
- sed -e '/SUBDIRS =/ s/trml2html//' \
- -e '/SUBDIRS =/ s/trml2pdf//' \
- -i libgda-report/RML/Makefile.{am,in} || die
-
- # Prevent file collisions with libgda:4
- eapply "${FILESDIR}/${PN}-4.99.1-gda-browser-doc-collision.patch"
- eapply "${FILESDIR}/${PN}-4.99.1-control-center-icon-collision.patch"
- # Move files with mv (since epatch can't handle rename diffs) and
- # update pre-generated gtk-doc files (for non-git versions of libgda)
- local f
- for f in tools/browser/doc/gda-browser* ; do
- mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
- done
- for f in tools/browser/doc/html/gda-browser.devhelp* ; do
- sed -e 's:name="gda-browser":name="gda-browser-5.0":' \
- -i ${f} || die "sed ${f} failed"
- mv ${f} ${f/gda-browser/gda-browser-5.0} || die "mv ${f} failed"
- done
- for f in control-center/data/*_gda-control-center.png ; do
- mv ${f} ${f/_gda-control-center.png/_gda-control-center-5.0.png} ||
- die "mv ${f} failed"
- done
-
- eautoreconf
- gnome2_src_prepare
- java-pkg-opt-2_src_prepare
- use vala && vala_src_prepare
-}
-
-src_configure() {
- local myconf=( )
- if use introspection ; then
- myconf+=( $(use_enable gtk gdaui-gi) )
- else
- myconf+=( --disable-gdaui-gi )
- fi
- if use vala ; then
- myconf+=( $(use_enable gtk gdaui-vala) )
- else
- myconf+=( --disable-gdaui-vala )
- fi
-
- gnome2_src_configure \
- --with-help \
- --disable-default-binary \
- --disable-static \
- --enable-system-sqlite \
- $(use_with berkdb bdb /usr) \
- $(use_with canvas goocanvas) \
- $(use_enable debug) \
- $(use_with firebird firebird /usr) \
- $(use_with gnome-keyring libsecret) \
- $(use_with graphviz) \
- $(use_with gtk ui) \
- $(use_with http libsoup) \
- $(use_enable introspection) \
- $(use_enable introspection gda-gi) \
- "$(use_with java java $JAVA_HOME)" \
- $(use_enable json) \
- $(use_with ldap) \
- $(use_with mdb mdb /usr) \
- $(use_with mysql mysql /usr) \
- $(use_with oci8 oracle) \
- $(use_with postgres postgres /usr) \
- $(use_enable ssl crypto) \
- $(use_with sourceview gtksourceview) \
- $(use_enable vala) \
- $(use_enable vala vala-extensions) \
- ${myconf[@]}
-}
-
-pkg_preinst() {
- gnome2_pkg_preinst
- java-pkg-opt-2_pkg_preinst
-}
-
-src_install() {
- gnome2_src_install
- if use reports; then
- for t in trml2{html,pdf}; do
- python_scriptinto /usr/share/libgda-5.0/gda_${t}
- python_doscript libgda-report/RML/${t}/${t}.py
- done
- fi
-}